View Issue Details

IDProjectCategoryLast Update
0021231AI War 2[All Projects] Bug - OtherJun 4, 2019 12:21 pm
ReporterTechSY730Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.861 Strength Of Remains 
Fixed in VersionBETA 0.865 The Return Of Deepstriking 
Summary0021231: Changing command station does not scrap owned fleet buildings the new command station does not provide
DescriptionChanging a command station type does not scrap buildings the new command station does not provide.

For example, build a military command station, place 2 factories, a beam turret, and a sentry frigate. Then change it to an economic command station. Excess factories are scrapped, but the beam turrets and sentry frigates will remain even though the economic station shouldn't be able to support them.
TagsNo tags attached.

Relationships

child of 0021022 resolvedx4000Bughunter Various fleet-related ideas (parent). 

Activities

x4000Bughunter

Jun 4, 2019 11:10 am

administrator   ~0051820

Thanks for this! Do you have a savegame with an easy repro case? I'm just trying to blitz through things, and so trying to avoid spending too much time setting up repros. I really appreciate it!

AnnoyingOrange

Jun 4, 2019 11:16 am

reporter   ~0051821

Here is one, change the military station on the non-home planet to any other kind and you'll see the beam turrets remain (the factories appear to be deleted properly though).

MILSTATION.save (276,471 bytes)
MILSTATION.savemet (55 bytes)

x4000Bughunter

Jun 4, 2019 11:21 am

administrator   ~0051822

Thank you!

x4000Bughunter

Jun 4, 2019 12:21 pm

administrator   ~0051825

Thank you!

* When the player command station type changes at a planet, it now properly removes all of the command-station-fleet ships that are not a part of the new command station's fleet design.
** It was already properly doing this in terms of making ship counts drop for types that it now had too many of, but it wasn't clearing entire ship types that were disallowed.
** There was already a destroys_self_until_not_over_ship_cap_if_planetary_command="true" xml flag that you could put on ships in order to make them not reduce their count to match whatever the new command station is.
** Now there is also a new is_auto_scrapping_skipped_when_command_station_type_changes="true" that prevents this scrapping logic from happening at all if the type isn't a match to the new command station fleet type.
*** This is pretty important for things like the Zenith Power Generator, or other capturables, which are not part of the fleet design but should remain. Same for anything you might buy from the Zenith Trader.
*** This has been applied to all the relevant structures and ships so that they shouldn't disappear, but that hasn't been explicitly tested, so please let us know if you see problems with those sorts of things.
** Also please note that losing your command station doesn't cost you any units. It's not until you rebuild the command station as a different type (switching from economic to miltiary, for instance) that it changes what you're allowed to have.

* When the fleet definition would show a zero cap, it no longer shows you that in the fleet tooltip. This is for things like command stations that were switched, or old turret types from an old command station type, etc.
** Essentially it was just extra visual clutter for no reason (well, the reason was that it was an oversight).

Issue History

Date Modified Username Field Change
May 24, 2019 12:27 pm TechSY730 New Issue
May 24, 2019 3:08 pm TechSY730 Description Updated View Revisions
May 25, 2019 12:53 pm TechSY730 Description Updated View Revisions
May 26, 2019 2:19 pm TechSY730 Summary Changing command station does not scrap owned its fleet buildings the new command station does not provide => Changing command station does not scrap owned fleet buildings the new command station does not provide
Jun 4, 2019 11:09 am x4000Bughunter Relationship added child of 0021022
Jun 4, 2019 11:09 am x4000Bughunter Assigned To => x4000Bughunter
Jun 4, 2019 11:09 am x4000Bughunter Status new => assigned
Jun 4, 2019 11:10 am x4000Bughunter Note Added: 0051820
Jun 4, 2019 11:16 am AnnoyingOrange File Added: MILSTATION.save
Jun 4, 2019 11:16 am AnnoyingOrange File Added: MILSTATION.savemet
Jun 4, 2019 11:16 am AnnoyingOrange Note Added: 0051821
Jun 4, 2019 11:21 am x4000Bughunter Note Added: 0051822
Jun 4, 2019 12:21 pm x4000Bughunter Status assigned => resolved
Jun 4, 2019 12:21 pm x4000Bughunter Resolution open => fixed
Jun 4, 2019 12:21 pm x4000Bughunter Fixed in Version => BETA 0.865 The Return Of Deepstriking
Jun 4, 2019 12:21 pm x4000Bughunter Note Added: 0051825